#!/bin/zsh

apkfile="$1"

function baksmali {
    java -jar "baksmali-2.1.0.jar" "$@"
}
function smali {
    java -jar "smali-2.1.0.jar" "$@"
}
function die {
    echo "$@" >&2
    exit 1
}
rm -rf out
baksmali $apkfile || die "baksmali failed"
cp -rv helpers/* out/
# for classFile in helpers/*.smali; do
#     rm -f temp.dex
#     echo "Adding class file $classFile"
#     dx --dex --output=temp.dex "$classFile" || die "Failed to compile class to dex"
#     baksmali temp.dex || die 'Failed to execute `baksmali temp.dex`'
# done
# cp -r sootOutput/Faceted*.class out/
smali out || die "smali failed"
mv out.dex classes.dex
apack -F zip "$apkfile" classes.dex
./addPermission.sh "$apkfile"
