#!/bin/zsh

apkfile="$1"
permission="android.permission.INTERNET"
if [[ "$2" != "" ]]; then
    permission="$2"
fi
rm -rf tmp
# Unpack apk:
apktool d -o tmp "$apkfile"
xmlstarlet ed -L -s "/manifest" -t elem -n uses-permission -i '(/manifest/uses-permission)[last()]' -t attr -n "android:name" -v "$permission" tmp/AndroidManifest.xml
apktool b -o "$apkfile" tmp
